scala.reflect.api.StandardNames

# NamesApi

#### trait NamesApi extends AnyRef

Defines standard names, common for term and type names: These can be accessed via the nme and tpnme members.

Source
  StandardNames.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
TermNamesApi, TypeNamesApi
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NamesApi
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### abstract type NameType >: Null <: Universe.Name

   An abstract type that represents the exact flavor of the name.

### Abstract Value Members

1. #### abstract val EMPTY: NameType

   The term or type name corresponding to an empty string.

   The term or type name corresponding to an empty string. Represents an empty name, used to denote the fact that no name was specified for `privateWithin` in Trees#Modifiers, for Trees#This, for Trees#Super, etc.

2. #### abstract val ERROR: NameType

   The term or type name `<error>`.

   The term or type name `<error>`. Indicates that the enclosing tree or symbol contains a compilation error.

3. #### abstract val PACKAGE: NameType

   The term or type name `package`.

   The term or type name `package`. Used to get modules representing package objects.

4. #### abstract val WILDCARD: NameType

   The term or type name `_`.

   The term or type name `_`. Used to construct trees that correspond to underscores in Scala.

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Universe.NamesApi to any2stringadd[Universe.NamesApi] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Universe.NamesApi, B)

   Implicit information
     This member is added by an implicit conversion from Universe.NamesApi to ArrowAssoc[Universe.NamesApi] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (Universe.NamesApi) ⇒ Boolean, msg: ⇒ Any): Universe.NamesApi

   Implicit information
     This member is added by an implicit conversion from Universe.NamesApi to Ensuring[Universe.NamesApi] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (Universe.NamesApi) ⇒ Boolean): Universe.NamesApi

   Implicit information
     This member is added by an implicit conversion from Universe.NamesApi to Ensuring[Universe.NamesApi] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): Universe.NamesApi

    Implicit information
      This member is added by an implicit conversion from Universe.NamesApi to Ensuring[Universe.NamesApi] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): Universe.NamesApi

    Implicit information
      This member is added by an implicit conversion from Universe.NamesApi to Ensuring[Universe.NamesApi] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Universe.NamesApi to StringFormat[Universe.NamesApi] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### def →[B](y: B): (Universe.NamesApi, B)

    Implicit information
      This member is added by an implicit conversion from Universe.NamesApi to ArrowAssoc[Universe.NamesApi] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Universe.NamesApi to any2stringadd[Universe.NamesApi]

### Inherited by implicit conversion StringFormat from Universe.NamesApi to StringFormat[Universe.NamesApi]

### Inherited by implicit conversion Ensuring from Universe.NamesApi to Ensuring[Universe.NamesApi]

### Inherited by implicit conversion ArrowAssoc from Universe.NamesApi to ArrowAssoc[Universe.NamesApi]

### Ungrouped